﻿@model IEnumerable<Instantly.Models.Order>

@{
    ViewData["Title"] = "Index";
}
<div class="container">
    <h1>Ваші замовлення</h1>

    <p>
        <!--<a asp-action="Create">Створити замовлення</a>-->
    </p>

    @foreach (Order order in Model)
    {
        <div class="card">
            <div class="card-header">
                @order.Tag.Name
                @switch (@order.OrderStatus.Name)
                {
                    case "Розміщене":
                        <span class="badge badge-success">@order.OrderStatus.Name</span>
                        break;
                    case "Нове":
                        <span class="badge badge-primary">@order.OrderStatus.Name</span>
                        break;
                    case "На виконанні":
                        <span class="badge badge-info">@order.OrderStatus.Name</span>
                        break;
                    case "Виконане":
                        <span class="badge badge-light">@order.OrderStatus.Name</span>
                        break;
                    case "Закрите":
                        <span class="badge badge-danger">@order.OrderStatus.Name</span>
                        break;
                    case "В архіві":
                        <span class="badge badge-secondary">@order.OrderStatus.Name</span>
                        break;
                }
            </div>
            <div class="card-body">
                <h5 class="card-title">@order.Title <span class="badge badge-success">@order.Price грн</span> </h5>
                <p class="card-text">@order.About</p>
                <a asp-action="Details" asp-route-id="@order.OrderId" class="btn btn-primary">Переглянути</a>
                <a asp-action="Edit" asp-route-id="@order.OrderId" class="btn btn-outline-primary">Редагувати</a>
            </div>
            <div class="card-footer text-muted">
                @order.CreationDateTime
            </div>
        </div>
        <br />
    }
</div>